org.eclipse.microprofile.fault.tolerance.tck

## Class RetryTimeoutTest

- java.lang.Object
- - org.jboss.arquillian.testng.Arquillian
  - - org.eclipse.microprofile.fault.tolerance.tck.RetryTimeoutTest

All Implemented Interfaces:
  org.testng.IHookable, org.testng.ITestNGListener

    public class RetryTimeoutTest
    extends org.jboss.arquillian.testng.Arquillian

Test the combination of the @Retry and @Timeout annotations.

Author:
  Emily Jiang, Andrew Rouse

### Nested Class Summary

### Nested classes/interfaces inherited from class org.jboss.arquillian.testng.Arquillian

`org.jboss.arquillian.testng.Arquillian.UpdateResultListener`

### Field Summary

### Fields inherited from class org.jboss.arquillian.testng.Arquillian

`ARQUILLIAN_DATA_PROVIDER`

### Constructor Summary

Constructors
Constructor and Description
`RetryTimeoutTest()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static org.jboss.shrinkwrap.api.spec.WebArchive` `deploy()`
`void` `testRetryNoTimeout()` Test that a Service is retried the expected number of times.
`void` `testRetryTimeout()` Test that a Service is retried the expected number of times.
`void` `testRetryWithAbortOn()` Test that a service is not retried if TimeoutException is included in the abortOn attribute
`void` `testRetryWithoutRetryOn()` Test that a service is not retried if TimeoutException is not included in the retryOn attribute

### Methods inherited from class org.jboss.arquillian.testng.Arquillian

`arquillianAfterClass, arquillianAfterSuite, arquillianAfterTest, arquillianArgumentProvider, arquillianBeforeClass, arquillianBeforeSuite, arquillianBeforeTest, run`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RetryTimeoutTest

    public RetryTimeoutTest()

### Method Detail

#### deploy

    @Deployment
    public static org.jboss.shrinkwrap.api.spec.WebArchive deploy()

#### testRetryTimeout

    public void testRetryTimeout()

Test that a Service is retried the expected number of times. A timeout is configured for serviceA and in this case the service should generate Timeout exceptions. The service should be retried.

#### testRetryNoTimeout

    public void testRetryNoTimeout()

Test that a Service is retried the expected number of times. A timeout is configured for serviceA but the service should fail before the timeout is reached and generate a RuntimeException. The service should be retried.

#### testRetryWithoutRetryOn

    public void testRetryWithoutRetryOn()

Test that a service is not retried if TimeoutException is not included in the retryOn attribute

#### testRetryWithAbortOn

    public void testRetryWithAbortOn()

Test that a service is not retried if TimeoutException is included in the abortOn attribute